[![Build Status](https://travis-ci.org/bpesquet/pyfit.svg?branch=master)](https://travis-ci.org/bpesquet/pyfit)

# pyfit

**pyfit** is a simple Machine Learning library built with Python and [NumPy](https://numpy.org/) for educational purposes.

## Overview

This project's main goal is to help ML students and enthusiasts get a deeper understanding of the Machine Learning workflow and main algorithms, by implementing them from scratch.

As a Python package, it also strives to define a clean, pythonic API and follow good coding practices. It uses [type annotations](https://www.python.org/dev/peps/pep-0484/), [pylint](https://www.pylint.org/) and [mypy](http://mypy-lang.org/) for linting, and [pytest](https://pytest.org) for testing.

## Status

**pyfit** is currently under active development. See [Progress](https://github.com/bpesquet/pyfit/projects/1) for details.

## Content

- Data Preprocessing [ [Source](pyfit/preprocessing.py) | [Tests](tests/test_preprocessing.py) ]
- Metrics [ [Source](pyfit/metrics/) | [Tests](tests/test_metrics.py) ]
- K-Nearest Neighbors [ [Source](pyfit/neighbors.py) | [Tests](tests/test_neighbors.py) ]
- Neural Networks [ [Source](pyfit/nn/) ]
- ... More to come!
